package com.clx.performance.param.app;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * 装车范围校验检查参数
 */
@Getter
@Setter
@NoArgsConstructor
public class NeedAlertSuperviseInfoParam {

    @ApiModelProperty(value = "运单编号", example = "100000000")
    @NotBlank(message = "运单编号不能为空")
    private String childNo;

    @ApiModelProperty(value = "订单编号", example = "100000000")
    @NotBlank(message = "订单编号不能为空")
    private String orderNo;


    @ApiModelProperty(value = "类型 1-监装 2-监卸", example = "1")
    @NotBlank(message = "类型不能为空")
    private Integer type;

}
